Last Comment Bug 741729 - Visually identify conversations with pending and direct messages
: Visually identify conversations with pending and direct messages
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: 13 Branch
: All All
-- enhancement (vote)
: Thunderbird 14.0
Assigned To: Florian Quèze [:florian] [:flo] (PTO until February 27)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 03:09 PDT by Jb Piacentino
Modified: 2012-04-16 01:49 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (1.90 KB, patch)
2012-04-03 09:27 PDT, Florian Quèze [:florian] [:flo] (PTO until February 27)
no flags Details | Diff | Splinter Review
Screenshot (13.10 KB, image/png)
2012-04-03 09:28 PDT, Florian Quèze [:florian] [:flo] (PTO until February 27)
no flags Details
Screenshot 2 (13.46 KB, image/png)
2012-04-04 07:01 PDT, Florian Quèze [:florian] [:flo] (PTO until February 27)
no flags Details
Patch for attachment 612175 (2.75 KB, patch)
2012-04-04 07:04 PDT, Florian Quèze [:florian] [:flo] (PTO until February 27)
no flags Details | Diff | Splinter Review
Patch v3 (2.81 KB, patch)
2012-04-11 07:36 PDT, Florian Quèze [:florian] [:flo] (PTO until February 27)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description User image Jb Piacentino 2012-04-03 03:09:22 PDT
The conversation list should adopt a color code to instantly identity conversations with unread and/or messages directed to the user. This would possibly complement or replace the current conversation status composed of 2 numbers in parenthesis representing direct and unread messages count.

For example, bold could be used to identify conversations having received new messages since last view, and bold blue for a direct message.
Comment 1 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-03 03:41:29 PDT
(In reply to Jb Piacentino from comment #0)

> For example, bold could be used to identify conversations having received
> new messages since last view, and bold blue for a direct message.

Would private conversations with new messages be bold or bold blue?

This seems simple to implement, but I would like to have a confirmation it will receive ui-r+ before starting to work on the patch. Blake?
Comment 2 User image Blake Winton (:bwinton) (:☕️) 2012-04-03 08:22:35 PDT
I think just bold, since there's no need to highlight that they're private.
Comment 3 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-03 09:27:15 PDT
Created attachment 611844 [details] [diff] [review]
Patch
Comment 4 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-03 09:28:38 PDT
Created attachment 611845 [details]
Screenshot

This doesn't look as good as I hoped as the bold conversation titles look like the section headers, but we can probably take this anyway.
Comment 5 User image Andreas Nilsson (:andreasn) 2012-04-04 03:59:35 PDT
(In reply to Florian Quèze from comment #4)
> Created attachment 611845 [details]
> Screenshot
> 
> This doesn't look as good as I hoped as the bold conversation titles look
> like the section headers, but we can probably take this anyway.

What if you give some indent to the conversations? That should make it easier to tell apart headers and conversations.
Comment 6 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-04 07:01:52 PDT
Created attachment 612175 [details]
Screenshot 2

(In reply to Andreas Nilsson (:andreasn) from comment #5)
>
> What if you give some indent to the conversations? That should make it
> easier to tell apart headers and conversations.
Comment 7 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-04 07:04:39 PDT
Created attachment 612178 [details] [diff] [review]
Patch for attachment 612175 [details]
Comment 8 User image Blake Winton (:bwinton) (:☕️) 2012-04-04 07:11:08 PDT
I would line the icons up with the text on the previous line, but aside from that, it looks pretty good to me…
Comment 9 User image Richard Marti (:Paenglab) 2012-04-04 08:47:05 PDT
(In reply to Florian Quèze from comment #7)
> Created attachment 612178 [details] [diff] [review]
> Patch for attachment 612175 [details]

Instead of padding-left could you use -moz-padding-start? Then it would also work correct with rtl locales.
Comment 10 User image Andreas Nilsson (:andreasn) 2012-04-04 09:12:37 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #8)
> I would line the icons up with the text on the previous line, but aside from
> that, it looks pretty good to me…

Agreed!
Comment 11 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-11 07:36:47 PDT
Created attachment 613990 [details] [diff] [review]
Patch v3

I lined the protocol icons with the above text by removing 2px of the margin before the text, and adding 3px to the padding before the icons.
Comment 12 User image Blake Winton (:bwinton) (:☕️) 2012-04-12 08:53:06 PDT
Comment on attachment 613990 [details] [diff] [review]
Patch v3

Exactly what I was thinking of, UI-Wise.  ui-r=me!

And now for the terrible nit-picking of doom…

Nope, nothing to complain about here either.  r=me!

Thanks,
Blake.
Comment 13 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-13 03:13:58 PDT
http://hg.mozilla.org/comm-central/rev/230ad8d7722a
Comment 14 User image Florian Quèze [:florian] [:flo] (PTO until February 27) 2012-04-13 03:14:42 PDT
Comment on attachment 613990 [details] [diff] [review]
Patch v3

[Approval Request Comment]
I think we will want this improvement to the chat UI on aurora too.
Comment 15 User image Mark Banner (:standard8) 2012-04-16 01:49:15 PDT
Checked in:

http://hg.mozilla.org/releases/comm-aurora/rev/10e86a66a98a

Note You need to log in before you can comment on or make changes to this bug.